//*******************************************************************************************
//
// Filename : EZPlaylist.h
//	
//				
//
// Copyright (c) 2000 JL BOYER for EZPlaylist 
//
// (Plug in general purpose for WinAMP >2.0x)
//
//*******************************************************************************************

// external function
BOOL CALLBACK PlaylistDlg_Proc(HWND hwndDlg,UINT uMsg,WPARAM wParam,LPARAM lParam);
void SetFilter(char *szFilter);
LPSTR DupString(LPSTR lpsz); 
void LV_StatGenre(void);
char *GetFormattedDateTime(void); 
void  ListboxMoveItem(HWND hwndlist, BOOL bMoveUp);

#define MAX_COL 13

typedef struct  myParam_tag
{
	BOOL bExportAllItems;
	BOOL bExportHTML_Format;
	BOOL bExportHTML_Link;
	int nOptionSearch;
	int nDblClic;
	int nOnStartup;
	int nRemoveTAG;
	int FrmtCol[5];
	int NbCol;
	int UseCol[MAX_COL];

} INITSTRUCT;

/* always "TAG": defines ID3v1 tag 128 bytes before EOF */
typedef struct ID3TAGSTRUCT 
{
	char tag[3]; 
	char title[30];
	char artist[30];
	char album[30];
	char year[4];
	char comment[30];
	unsigned char genre;
} ID3TAGSTRUCT;


typedef struct PLAYLISTSTRUCT
{
	// ID3 tag
	char title[31];
	char artist[31];
	char album[31];
	char year[5];
	char comment[31];
	unsigned char genre;

	BOOL bDuplicate;

	//MPEG info
	int track;
	long filesize;
	int stereo;
	int lsf;
	int mpeg25;
	int lay;
	int error_protection;
	int bitrate_index;
	int sampling_frequency;
	int bitrate;
	int num_frames;
	int frequency;
	int privat;
	int padding;
	int extension;
	int mode;
	int mode_ext;
	int copyright;
	int original;
	int emphasis;
	int length;
	char lengthfmt[8];
	int framesize;		/* computed framesize */

	char *titleplaylist;
} PLAYLISTSTRUCT;


typedef struct myitem_tag 
{
	LPSTR pFileName;
	PLAYLISTSTRUCT *pData;
	int nImage;
	struct myitem_tag *pNextItem;
	struct myitem_tag *pPrevItem;

} MYITEM; 


typedef struct columns_tag
{
	char szName[20];
	int nWidth;
	int nAlignment;
} COLUMNSSTRUCT;

typedef struct ez3_header_tag
{
	char tag[7];
	int nCountFile;
} EZ3HEADER;



