/*
 *  Header file  ID3TAG.h 
 *  (c) JL BOYER 15/08/2000
 */

#define MAX_GENRE 149   //148+Additionnal "Unkown"

typedef struct statgenre_tag
{
	BOOL bCheck;
	int nCount;
} STATGENRESTRUCT;

// ID3TAG v1.1
BOOL id3tag_read(char *filename, ID3TAGSTRUCT *id3tag);
BOOL id3tag_write(char *filename, ID3TAGSTRUCT *id3tag);
BOOL id3tag_remove(char *filename);
FILE* id3tag_seekend(char *filename);


// MP3 Audio file
void mpg123_init(void);
int mpg123_file_info(char *filename);

void mpg123_read_mp3(char * filename);			// also read ID3TAG
int mpg123_head_check(unsigned long head);
int mpg123_decode_header(PLAYLISTSTRUCT *fr, unsigned long newhead);
double mpg123_compute_bpf(PLAYLISTSTRUCT *fr);
double mpg123_compute_tpf(PLAYLISTSTRUCT *fr);
int mpg123_calc_numframes(PLAYLISTSTRUCT *fr);
const char *get_id3_genre(unsigned char genre_code);
int find_genre_id(char *text);
const char *get_mode(int mode_code);
void get_layer_mode(PLAYLISTSTRUCT *frm, char *tempstr);
void mpg123_copytag(char *dest, char *src, size_t n);
unsigned int mpg123_strip_spaces(char *src, size_t n);


// Wave audio file
void mpg123_read_wav(char *filename);
int read_le_long(FILE * file, long *ret);
int read_le_short(FILE * file, short *ret);


void Time2String(int nSecond, char *pTimeFrmt, BOOL bShortFormat);
void mpg123_MPEGInfo(PLAYLISTSTRUCT *frm, char *mpeginfo, int nBlock);

